Create company
POST
/v1/crm/companiesAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsoncustom_fieldsanydescriptionstringdomainstringindustrystringmetadataanynamestringrequiredsizestringwebsitestringResponses
200OK
created_atstringrequiredcustom_fieldsanyrequireddescriptionstring | nullrequireddomainstring | nullrequiredidstringrequiredindustrystring | nullrequiredmetadataanyrequirednamestringrequiredsizestring | nullrequiredupdated_atstringrequiredwebsitestring | nullrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/companies" \
-H "Content-Type: application/json" \
-d '{
"custom_fields": "string",
"description": "string",
"domain": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"website": "string"
}'const response = await fetch("/v1/crm/companies", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"custom_fields": "string",
"description": "string",
"domain": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"website": "string"
})
});import requests
response = requests.post(
"/v1/crm/companies",
headers={
"Content-Type": "application/json"
},
json={
"custom_fields": "string",
"description": "string",
"domain": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"website": "string"
},
)Response
{
"created_at": "string",
"custom_fields": "string",
"description": "string",
"domain": "string",
"id": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"updated_at": "string",
"website": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}